Error in Dada2 analysis after ITS sequence trimming analysis

Hi, All

I have followed ITS Xpress-tutorial for my ITS1 and ITS2 sequence processing and taxonomy analysis. i got error in DADA 2 analysis after ITS samples trimming step.

(qiime2-2019.10) [email protected]:~/.conda/envs/qiime2-2019.10$ qiime dada2 denoise-paired --i-demultiplexed-seqs trimmed.qza --p-trunc-len-r 0 --p-trunc-len-f 0 --p-chimera-method none --p-trunc-q 0 --p-max-ee-r 1 --p-max-ee-f 1 --output-dir dada2out --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpkfw2u9k8/forward /tmp/tmpkfw2u9k8/reverse /tmp/tmpkfw2u9k8/output.tsv.biom /tmp/tmpkfw2u9k8/track.tsv /tmp/tmpkfw2u9k8/filt_f /tmp/tmpkfw2u9k8/filt_r 0 0 0 0 1.0 1.0 0 none 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-1_0_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-1_1_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-10_18_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-10_19_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-11_20_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-11_21_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-12_22_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-12_23_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-2_2_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-2_3_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-3_4_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-3_5_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-4_6_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-4_7_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-5_8_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-5_9_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-6_10_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-6_11_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-7_12_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-7_13_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-8_14_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-8_15_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpkfw2u9k8/filt_f/sample-9_16_L001_R1_001.fastq.gz and /tmp/tmpkfw2u9k8/filt_r/sample-9_17_L001_R2_001.fastq.gz not written.
    xxxxxxxxxxxx
    Error: No reads passed the filter (were truncLenF/R longer than the read lengths?)
    Traceback (most recent call last):
    File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 257, in denoise_paired
    run_commands([cmd])
    File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
    File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpkfw2u9k8/forward', '/tmp/tmpkfw2u9k8/reverse', '/tmp/tmpkfw2u9k8/output.tsv.biom', '/tmp/tmpkfw2u9k8/track.tsv', '/tmp/tmpkfw2u9k8/filt_f', '/tmp/tmpkfw2u9k8/filt_r', '0', '0', '0', '0', '1.0', '1.0', '0', 'none', '1.0', '1', '1000000']' returned non-zero exit status 2.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py", line 328, in call
results = action(**arguments)
File "</home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-465>", line 2, in denoise_paired
File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py", line 240, in bound_callable
output_types, provenance)
File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py", line 383, in callable_executor
output_views = self._callable(**view_args)
File "/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 268, in denoise_paired
% (trunc_len_f, trunc_len_r))
ValueError: No reads passed the filter. trunc_len_f (0) or trunc_len_r (0) may be individually longer than read lengths, or trunc_len_f + trunc_len_r may be shorter than the length of the amplicon + 20 nucleotides (the length of the overlap). Alternatively, other arguments (such as max_ee or trunc_q) may be preventing reads from passing the filter.

Plugin error from dada2:

No reads passed the filter. trunc_len_f (0) or trunc_len_r (0) may be individually longer than read lengths, or trunc_len_f + trunc_len_r may be shorter than the length of the amplicon + 20 nucleotides (the length of the overlap). Alternatively, other arguments (such as max_ee or trunc_q) may be preventing reads from passing the filter.

See above for debug info.

Could anyone help me to solve this error ?.

Herewith, I have attached my sequence file for your perusal. kindly have a look on it.trimmed.qza (17.3 KB) sequences.qzv (290.3 KB)

Hi @Asha1,
No reads are passing the filter. The sequence quality is not great, so setting these parameters to zero is probably not a good idea:

You need to truncate off the low-quality 3’ ends or dada2 will toss out all reads with more than a single error (since you are also setting p-max-ee-r 1 --p-max-ee-f 1)

Good luck!

Thank you so much for your reply and suggestion. I will cut my low quality reads as per your suggestions and get back to you soon.

1 Like

Hello sir,

I am getting same error continuously after I tried different phred score value. Kindly help me how to solve this error?

(qiime2-2019.10) [email protected]:~/.conda/envs/qiime2-2019.10$ qiime dada2 denoise-paired --i-demultiplexed-seqs trimmed.qza --p-trunc-len-r 296 --p-trunc-len-f 259 --output-dir dada2out --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpz638ul6d/forward /tmp/tmpz638ul6d/reverse /tmp/tmpz638ul6d/output.tsv.biom /tmp/tmpz638ul6d/track.tsv /tmp/tmpz638ul6d/filt_f /tmp/tmpz638ul6d/filt_r 259 296 0 0 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-1_0_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-1_1_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-10_18_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-10_19_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-11_20_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-11_21_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-12_22_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-12_23_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-2_2_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-2_3_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-3_4_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-3_5_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-4_6_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-4_7_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-5_8_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-5_9_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-6_10_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-6_11_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-7_12_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-7_13_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-8_14_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-8_15_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpz638ul6d/filt_f/sample-9_16_L001_R1_001.fastq.gz and /tmp/tmpz638ul6d/filt_r/sample-9_17_L001_R2_001.fastq.gz not written.
    xxxxxxxxxxxx
    Error: No reads passed the filter (were truncLenF/R longer than the read lengths?)
    Traceback (most recent call last):
    File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command β€˜[β€˜run_dada_paired.R’, β€˜/tmp/tmpz638ul6d/forward’, β€˜/tmp/tmpz638ul6d/reverse’, β€˜/tmp/tmpz638ul6d/output.tsv.biom’, β€˜/tmp/tmpz638ul6d/track.tsv’, β€˜/tmp/tmpz638ul6d/filt_f’, β€˜/tmp/tmpz638ul6d/filt_r’, β€˜259’, β€˜296’, β€˜0’, β€˜0’, β€˜2.0’, β€˜2.0’, β€˜2’, β€˜consensus’, β€˜1.0’, β€˜1’, β€˜1000000’]’ returned non-zero exit status 2.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File β€œ</home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-465>”, line 2, in denoise_paired
File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File β€œ/home/bioinformatics/.conda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 268, in denoise_paired
% (trunc_len_f, trunc_len_r))
ValueError: No reads passed the filter. trunc_len_f (259) or trunc_len_r (296) may be individually longer than read lengths, or trunc_len_f + trunc_len_r may be shorter than the length of the amplicon + 20 nucleotides (the length of the overlap). Alternatively, other arguments (such as max_ee or trunc_q) may be preventing reads from passing the filter.

Plugin error from dada2:

No reads passed the filter. trunc_len_f (259) or trunc_len_r (296) may be individually longer than read lengths, or trunc_len_f + trunc_len_r may be shorter than the length of the amplicon + 20 nucleotides (the length of the overlap). Alternatively, other arguments (such as max_ee or trunc_q) may be preventing reads from passing the filter.

See above for debug info.

Hi sir,

I am following ITS XPRESS tutorial for my ITS1 and ITS2 sequence processing. No reads passed the filter, error was coming again and again If I give trimmed Its sequence file (trimmed.qza) for Dada2 analysis after trying different truncation value.

If I give sequence.qza for dada2 analysis file mean, I was not getting any error even with truncation value 0.

Could I use sequence.qza file for dada2 analysis without trimming the ITS sequence ?

Will it affect further processing or not?

I am not sure why that would be (itsxpress is only trimming to the ITS domain as far as I know, but the sequences.qzv file you shared above, which I assume is post-itsxpress, shows plenty of seqs). I am pinging @Adam_Rivers to see if he has any insight on this.

Honestly, the quality looks fairly poor on the reverse reads, though β€” so you may just want to proceed using only the forward reads since usually ITS reads have trouble merging (due to length variation) even when the reverse reads are good quality!

Ok sir. Thank you once again for your suggestions and help.

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.